# Get Pipeline Stats

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Pipeline Stats"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/pipelines/{pipeline_name}/stats"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns pipeline statistics.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"The name of the pipeline you want to fetch.","in":"path","name":"pipeline_name","required":true,"schema":{"description":"The name of the pipeline you want to fetch.","title":"Pipeline Name","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"accuracy_of_answers":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The accuracy of answers is calculated by dividing the total number of positive feedback messages by the total number of all feedback messages. Pipelines with feedback on multiple responses are counted only once.","title":"Accuracy of Answers"},"avg_feedback_per_query":{"default":0,"description":"The average number of feedback messages per query.","title":"Average Feedback per Query","type":"number"},"correct_answers":{"default":0,"description":"The number of answers marked as correct.","title":"Correct Answers","type":"integer"},"experiments_created":{"default":0,"description":"The total number of experiments created for this pipeline.","title":"Experiments Created","type":"integer"},"indexed_files":{"default":0,"description":"The total number of files indexed for this pipeline.","title":"Indexed Files","type":"integer"},"latency":{"default":0,"description":"The average latency of the queries in seconds.","title":"Latency","type":"number"},"manual_feedback_input":{"default":0,"description":"The total number of manual feedback inputs provided by users for this pipeline.","title":"Manual Feedback Input","type":"integer"},"max_latency":{"default":0,"description":"The maximum latency of the queries in seconds.","title":"Max Latency","type":"number"},"min_latency":{"default":0,"description":"The minimum latency of the queries in seconds.","title":"Min Latency","type":"number"},"total_documents":{"default":0,"description":"The total number of documents created for this pipeline.","title":"Total Documents","type":"integer"},"total_queries":{"default":0,"description":"The total number of queries for this pipeline.","title":"Total Queries","type":"integer"},"users_provided_feedback":{"default":0,"description":"The total number of unique feedback messages the users provided for the results of this pipeline.","title":"Feedback Provided by Users","type":"integer"},"wrong_answers":{"default":0,"description":"The number of answers marked as wrong.","title":"Wrong Answers","type":"integer"},"wrong_answers_with_correct_document":{"default":0,"description":"The number of answers marked as wrong by the user while the document was marked as correct.","title":"Wrong Answers with Correct Document","type":"integer"}},"title":"PipelineStatistics","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
